summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorTom Rini <[email protected]>2021-10-19 20:45:12 -0400
committerTom Rini <[email protected]>2021-10-19 20:45:12 -0400
commitfb1018106a7bbb1a0d723029f6760b1b1b4d306d (patch)
tree549c7c27ad7db734c18fba3c4dd814229b18c5ce /scripts
parent9c79815c5c11c5cd30fd5a7fb82f96376e7c3a18 (diff)
parent17864406a4aa3286a8e9db6f577105e3e647c65f (diff)
Merge branch '2021-10-19-assorted-changes'
- Assorted minor fixes and a new GPIO driver
Diffstat (limited to 'scripts')
-rw-r--r--scripts/Kbuild.include1
-rw-r--r--scripts/Makefile1
-rwxr-xr-xscripts/dtc-version.sh27
3 files changed, 28 insertions, 1 deletions
diff --git a/scripts/Kbuild.include b/scripts/Kbuild.include
index a745cc4fccd..09506cb9a7e 100644
--- a/scripts/Kbuild.include
+++ b/scripts/Kbuild.include
@@ -148,6 +148,7 @@ cc-ifversion = $(shell [ $(cc-version) $(1) $(2) ] && echo $(3) || echo $(4))
# added for U-Boot
binutils-version = $(shell $(CONFIG_SHELL) $(srctree)/scripts/binutils-version.sh $(AS))
+dtc-version = $(shell $(CONFIG_SHELL) $(srctree)/scripts/dtc-version.sh $(DTC))
# cc-ldoption
# Usage: ldflags += $(call cc-ldoption, -Wl$(comma)--hash-style=both)
diff --git a/scripts/Makefile b/scripts/Makefile
index e7b353f77f4..cfe9fef8044 100644
--- a/scripts/Makefile
+++ b/scripts/Makefile
@@ -10,4 +10,3 @@ always := $(hostprogs-y)
# Let clean descend into subdirs
subdir- += basic kconfig
-subdir-$(CONFIG_DTC) += dtc
diff --git a/scripts/dtc-version.sh b/scripts/dtc-version.sh
new file mode 100755
index 00000000000..bfb514e179f
--- /dev/null
+++ b/scripts/dtc-version.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0+
+#
+# dtc-version dtc-command
+#
+# Prints the dtc version of `dtc-command' in a canonical 6-digit form
+# such as `010404' for dtc 1.4.4
+#
+
+dtc="$*"
+
+if [ ${#dtc} -eq 0 ]; then
+ echo "Error: No dtc command specified"
+ printf "Usage:\n\t$0 <dtc-command>\n"
+ exit 1
+fi
+
+if ! which $dtc >/dev/null ; then
+ echo "Error: Cannot find dtc: $dtc"
+ exit 1
+fi
+
+MAJOR=$($dtc -v | head -1 | awk '{print $NF}' | cut -d . -f 1)
+MINOR=$($dtc -v | head -1 | awk '{print $NF}' | cut -d . -f 2)
+PATCH=$($dtc -v | head -1 | awk '{print $NF}' | cut -d . -f 3 | cut -d - -f 1)
+
+printf "%02d%02d%02d\\n" $MAJOR $MINOR $PATCH